Skip to main content
PUT
cURL

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer YOUR_API_KEY.

Path Parameters

id
string
required

Project id.

Minimum string length: 1
campaignId
string
required

Campaign id.

Minimum string length: 1

Body

application/json

Project campaign update payload.

name
string
Example:

"Speed to Lead"

activeTags
string[]
Example:
inactiveTags
string[]
Example:
dialing
enum<string>
Available options:
s2l,
s2l_pd,
pd
Example:

"s2l_pd"

agentType
enum<string>

Legacy V2 template the campaign runs. Must be one of the seven published template ids; this module does not accept the three campaign types.

Available options:
appointment_confirmation,
appointment_booking,
live_transfer,
live_transfer_and_tag,
live_transfer_and_booking,
add_tag,
inbound_receptionist
Example:

"appointment_booking"

agentId
string
Example:

"agent_2b7c9f4a"

fromNumbers
string[]
Example:
active
boolean
Example:

false

config
object
callingWindow
object
multipleTimezoneCheck
boolean
Example:

true

dropOutsideWindow
boolean
Example:

false

{key}
any

Response

Updated project with campaign changes.

success
boolean
required
data
object
required